org.apache.sling.validation.testservices.internal

## Class ValidationPostOperation

- java.lang.Object
- - org.apache.sling.servlets.post.AbstractPostOperation
  - - org.apache.sling.validation.testservices.internal.ValidationPostOperation

All Implemented Interfaces:
  org.apache.sling.servlets.post.PostOperation

    public class ValidationPostOperation
    extends org.apache.sling.servlets.post.AbstractPostOperation

### Field Summary

### Fields inherited from class org.apache.sling.servlets.post.AbstractPostOperation

`log`

### Fields inherited from interface org.apache.sling.servlets.post.PostOperation

`PROP_OPERATION_NAME, SERVICE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ValidationPostOperation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doRun(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, List<org.apache.sling.servlets.post.Modification> changes)`

### Methods inherited from class org.apache.sling.servlets.post.AbstractPostOperation

`checkoutIfNecessary, externalizePath, findVersionableAncestor, getApplyToResources, getItemPath, getVersioningConfiguration, hasItemPathPrefix, isSessionSaveRequired, isSkipCheckin, isSkipSessionHandling, isVersionable, orderNode, removeAndValidateWorkspace, requireItemPathPrefix, resolvePath, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationPostOperation

    public ValidationPostOperation()

### Method Detail

#### doRun

    protected void doRun(org.apache.sling.api.SlingHttpServletRequest request,
                         org.apache.sling.servlets.post.PostResponse response,
                         List<org.apache.sling.servlets.post.Modification> changes)

Specified by:
  `doRun` in class `org.apache.sling.servlets.post.AbstractPostOperation`